Bug 66726 - join error using qa_contact search
join error using qa_contact search
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Test (Show other bugs)
2.17
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 09:50 EDT by David Lawrence
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-14 09:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2002-06-14 09:50:48 EDT
Description of Problem:
LEFT joing of qa_contact field not working in buglist.cgi. Something to do with
PostgreSQL and MySQL difference. Seems to work fine for MySQL.

SELECT DISTINCT bugs.bug_id, bugs.bug_severity, bugs.priority,
bugs.rep_platform, map_assigned_to.login_name, map_reporter.login_name,
bugs.bug_status, bugs.resolution, bugs.short_desc FROM bugs, profiles
map_assigned_to, profiles map_reporter LEFT JOIN profiles map_qa_contact ON
bugs.qa_contact = map_qa_contact.userid WHERE bugs.assigned_to =
map_assigned_to.userid AND bugs.reporter = map_reporter.userid AND (bugs.version
= '2.17') AND (bugs.product = 'bugzilla') AND (bugs.bug_status = 'ASSIGNED' OR
bugs.bug_status = 'NEW' OR bugs.bug_status = 'REOPENED') AND (
STRPOS(LOWER(map_qa_contact.login_name), 'dkl@redhat.com') = 0 ) GROUP BY
bugs.bug_id, bugs.bug_severity, bugs.priority, bugs.rep_platform,
map_assigned_to.login_name, map_reporter.login_name, bugs.bug_status,
bugs.resolution, bugs.short_desc ORDER BY map_reporter.login_name,bugs.bug_id :
ERROR:  JOIN/ON clause refers to "bugs", which is not part of JOIN at globals.pl
line 303.


Version-Release number of selected component (if applicable):
2.17
Comment 1 David Lawrence 2002-10-23 18:48:38 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.